Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText Member List

This is the complete list of members for eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText, including all inherited members.

$comparatorMap | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler | protected
$configuration | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText | protected
$dbHandler | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler | protected
$languageMaskGenerator | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText | private
$processor | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText | protected
$stopWordThresholdValue | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText | private
__construct(DatabaseHandler $dbHandler, TransformationProcessor $processor, MaskGenerator $languageMaskGenerator, array $configuration=[]) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText |
eZ::Publish::Core::Search::Legacy::Content::Common::Gateway::CriterionHandler::__construct(DatabaseHandler $dbHandler) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler |
accept(Criterion $criterion) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText |
getStopWordThresholdValue() | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText | protected
getUniqueTableName() | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler | protected
getWordExpression(SelectQuery $query, $token) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText | protected
getWordIdSubquery(SelectQuery $query, $string) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText | protected
handle(CriteriaConverter $converter, SelectQuery $query, Criterion $criterion, array $languageSettings) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText |
tokenizeString($string) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FullText | protected

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.